Subject: Re: bug#42152: 26.3; Stuck on saving "Clipboard to x clipboard Manager"

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Oct 2020 01:39:33 +0000

Stefan Kangas <[email-masked]> writes:

> Sarthak Adhikari <[email-masked]> writes:
>
>> In the emacs -Q window, I did the following:
>> 1) Type the text "asd"
>> 2) C-a to set the marker at the first character
>> 3) C-e  to set the marker till the last character
>> 4) C-w to kill the region
>> 5) C-x C-c to exit emacs
>>
>> After performing step 5, my emacs editor displays "Saving clipboard to X Clipboard manager..." and stops responding. I have to
>> manually perform a "kill -9" from the terminal to quit emacs if it stops responding this way.
>>
>> My init.el only has one entry:
>> (setq x-select-enable-clipboard t)
>>
>> Killing text from emacs and pasting in on other applications(for eg: Chrome) works fine. The problem only occurs when I try to exit
>> emacs and the problem only occurs on those sessions in which I had killed text from within emacs.
>
> I'm unable to reproduce this here.
>
> It sounds strange to me that no one else have seen such a major bug in
> such basic functionality.  Could there be something peculiar in your
> setup that is causing this?

More information was requested, but none was given within 9 weeks, so
I'm closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.